knpu_oauth2_client:
    clients:
        facebook:
            type: facebook
            client_id: '%env(OAUTH_FACEBOOK_ID)%'
            client_secret: '%env(OAUTH_FACEBOOK_SECRET)%'
            redirect_route: connect_facebook_check
            redirect_params: {}
            graph_api_version: v2.12

        google:
            # must be "google" - it activates that type!
            type: google
            # add and set these environment variables in your .env files
            client_id: '%env(OAUTH_GOOGLE_ID)%'
            client_secret: '%env(OAUTH_GOOGLE_SECRET)%'
            # a route name you'll create
            redirect_route: connect_google_check
            redirect_params: {}

        azure:
            # must be "azure" - it activates that type!
            type: azure
            # add and set these environment variables in your .env files
            client_id: '%env(OAUTH_AZURE_ID)%'
            client_secret: '%env(OAUTH_AZURE_SECRET)%'
            # a route name you'll create
            redirect_route: connect_azure_check
            redirect_params: {}
        # configure your clients as described here: https://github.com/knpuniversity/oauth2-client-bundle#configuration
